[jitsi-dev] Jitsi Interface in Spanish


#1

Hi Jitsi Team!,

When configuring 'defaultLanguage: "es"', I see that there are several
buttons that still have English text. I would like to know if I have to
update the translations in local files or simply these translations are
not available.

I tried to check the status of translations here:

http://translate.jitsi.org/projects/jitsi-meet/

But it seems that MySQL is not running because I get a message saying:

···

----------------------------------------------------------------------
Pootle: Install

Error: "(2002, "Can't connect to local MySQL server through socket
'/var/run/mysqld/mysqld.sock' (2)")" while attempting to access the
Pootle database, will try to initialize database.
----------------------------------------------------------------------

Kind regards,
Daniel


#2

Thanks for the hint; should be working again.

Ingo

···

-----Original Message-----
From: dev [mailto:dev-bounces@jitsi.org] On Behalf Of Daniel Bareiro
Sent: Montag, 21. August 2017 21:43
To: Jitsi Developers <dev@jitsi.org>
Subject: [jitsi-dev] Jitsi Interface in Spanish
Hi Jitsi Team!,

When configuring 'defaultLanguage: "es"', I see that there are several
buttons that still have English text. I would like to know if I have to
update the translations in local files or simply these translations are
not available.

I tried to check the status of translations here:

http://translate.jitsi.org/projects/jitsi-meet/

But it seems that MySQL is not running because I get a message saying:

----------------------------------------------------------------------
Pootle: Install

Error: "(2002, "Can't connect to local MySQL server through socket
'/var/run/mysqld/mysqld.sock' (2)")" while attempting to access the
Pootle database, will try to initialize database.
----------------------------------------------------------------------

Kind regards,
Daniel


#3

Hi, Ingo.

···

On 21/08/17 17:13, Ingo Bauersachs wrote:

Thanks for the hint; should be working again.

Thank you. I was reviewing the main-es.po file and I see that there are
several translations that seem to be made, nevertheless I still see the
English version in my installation from Jitsi repositories. For example,
for these elements of the toolbar I see the English version:

-----------------------------------------------------------------
#: toolbar##videomute
msgid "Start / Stop camera"
msgstr "Iniciar / detener cámara"

#: toolbar##chat
msgid "Open / Close chat"
msgstr "Abrir / cerrar sala de charla"

#: toolbar##etherpad
msgid "Open / Close shared document"
msgstr "Abrir / Cerrar documento compartido"

#: toolbar##sharedvideo
msgid "Share a YouTube video"
msgstr "Compartir un vídeo de YouTube"

#: toolbar##sharescreen
msgid "Start / Stop screen sharing"
msgstr "Iniciar / Detener pantalla compartida"

#: toolbar##fullscreen
msgid "View / Exit full screen"
msgstr "Entrar / Salir de Pantalla completa"
-----------------------------------------------------------------

Is it possible that these translations are not yet pushed into Jitsi Meet?

Kind regards,
Daniel


#4

Thanks for the hint; should be working again.

Thank you. I was reviewing the main-es.po file and I see that there are
several translations that seem to be made, nevertheless I still see the
English version in my installation from Jitsi repositories. For example,
for these elements of the toolbar I see the English version:

----------------------------------------------------------------- #:
[...]
-----------------------------------------------------------------

Is it possible that these translations are not yet pushed into Jitsi Meet?

Updating Github<->Pootle is unfortunately still a manual process. I've just committed all translations from Pootle, so whatever is currently translated is now in Github. Not sure when the next deployment to https://beta.meet.jit.si starts.

Kind regards,
Daniel

Ingo

···

On 21/08/17 17:13, Ingo Bauersachs wrote:


#5

Hi, Ingo.

···

On 22/08/17 16:35, Ingo Bauersachs wrote:

Thanks for the hint; should be working again.

Thank you. I was reviewing the main-es.po file and I see that there are
several translations that seem to be made, nevertheless I still see the
English version in my installation from Jitsi repositories. For example,
for these elements of the toolbar I see the English version:

----------------------------------------------------------------- #:
[...]
-----------------------------------------------------------------

Is it possible that these translations are not yet pushed into Jitsi Meet?

Updating Github<->Pootle is unfortunately still a manual process. I've just
committed all translations from Pootle, so whatever is currently
translated is now in Github. Not sure when the next deployment to> https://beta.meet.jit.si starts.

Thank you very much, Ingo. So the next versions of packages will already
have these translations?

I just updated to the following versions:

-----------------------------------------------------------------
jitsi-meet [1.0.2376-1 -> 1.0.2381-1]
jitsi-meet-prosody [1.0.2224-1 -> 1.0.2228-1]
jitsi-meet-web [1.0.2224-1 -> 1.0.2228-1]
jitsi-meet-web-config [1.0.2224-1 -> 1.0.2228-1]
jitsi-videobridge [987-1 -> 988-1]
-----------------------------------------------------------------

But maybe those packages were created before your commit, since they do
not have the translations yet.

Kind regards,
Daniel


#6

Thank you very much, Ingo. So the next versions of packages will already
have these translations?

Yes, whatever is translated in Pootle. There are still a few Spanish translations missing though.

I just updated to the following versions:

-----------------------------------------------------------------
jitsi-meet [1.0.2376-1 -> 1.0.2381-1] jitsi-meet-prosody [1.0.2224-1 ->
1.0.2228-1] jitsi-meet-web [1.0.2224-1 -> 1.0.2228-1]
jitsi-meet-web-config [1.0.2224-1 -> 1.0.2228-1] jitsi-videobridge
[987-1 -> 988-1]
-----------------------------------------------------------------

But maybe those packages were created before your commit, since they do
not have the translations yet.

.es is in >= 1.0.2383-1

Kind regards,
Daniel

Ingo


#7

Hi, Ingo.

···

On 22/08/17 18:44, Ingo Bauersachs wrote:

Thank you very much, Ingo. So the next versions of packages will already
have these translations?

Yes, whatever is translated in Pootle. There are still a few Spanish translations missing though.

I just updated to the following versions:

-----------------------------------------------------------------
jitsi-meet [1.0.2376-1 -> 1.0.2381-1] jitsi-meet-prosody [1.0.2224-1 ->
1.0.2228-1] jitsi-meet-web [1.0.2224-1 -> 1.0.2228-1]
jitsi-meet-web-config [1.0.2224-1 -> 1.0.2228-1] jitsi-videobridge
[987-1 -> 988-1]
-----------------------------------------------------------------

But maybe those packages were created before your commit, since they do
not have the translations yet.

.es is in >= 1.0.2383-1

Thanks for confirm. I will be testing them and if I can I will make some
contribution.

Kind regards,
Daniel